Page MenuHomePhabricator

1.43.0-wmf.4 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
jnuche
Release Version
1.43.0-wmf.4
Release Date
Mon, May 6, 12:00 AM

2024 week 19 1.43-wmf.4 Changes wmf/1.43.0-wmf.4

This MediaWiki Train Deployment is scheduled for the week of Monday, May 6th:

Monday May 6thTuesday, May 7thWednesday, May 8thThursday, May 9thFriday
Backports only.Branch wmf.4 and deploy to Group 0 Wikis.Deploy wmf.4 to Group 1 Wikis.Deploy wmf.4 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.4 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.43.0-wmf.3
Next: 1.43.0-wmf.5

Related Objects

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: jnuche.
thcipriani set the point value for this task to 5.
Risky Patch! πŸš‚πŸ”₯
  • Change: https://gitlab.wikimedia.org/repos/releng/release/-/merge_requests/73
  • Summary: Addition of new extension (unloaded) to scap's manifest ahead of Beta Cluster enablement – T364034
  • Test plan: If scap works, it's fine
  • Places to monitor: scap errors
  • Revert plan: Revert patch, re-roll scap
  • Affected wikis: All (or rather, hopefully, none)
  • IRC contact: James_F
  • UBN Task Projects/tags: Automoderator
  • Would you like to backport this change rather than ride the train?: N/A

NB hackathon preceded this train. Lots of changes.

Feel free to ping me and others to help :)

First of all, my condolences to Jeena for being the train conductor this week.

Risky Patch! πŸš‚πŸ”₯
  • Change: https://gerrit.wikimedia.org/r/1020948
  • Summary: This changes how addresses to blob store for new revisions are being stored and retrieved
  • Test plan: Edits should show up after edit is done.
  • Places to monitor: logstash errors, people screaming
  • Revert plan: ---
  • Affected wikis: All
  • IRC contact: Amir1
  • UBN Task Projects/tags: DBA
  • Would you like to backport this change rather than ride the train?: N/A

Note: This change is not forward compatible, so if you need to roll back the train, accessing revisoins that are made in between the time will be broken. I will try to make a forward-compat patch and deploy it to wmf.3

Change #1027481 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.43.0-wmf.4] Branch commit for wmf/1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1027481

Change #1027481 merged by jenkins-bot:

[mediawiki/core@wmf/1.43.0-wmf.4] Branch commit for wmf/1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1027481

Change #1028611 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1028611

Change #1028765 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1028765

Change #1028765 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1028765

Mentioned in SAL (#wikimedia-operations) [2024-05-07T09:11:39Z] <jnuche@deploy1002> Started scap: testwikis wikis to 1.43.0-wmf.4 refs T361398

Change #1028611 abandoned by Zabe:

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.4

Reason:

https://gerrit.wikimedia.org/r/1028611

Mentioned in SAL (#wikimedia-operations) [2024-05-07T09:55:17Z] <jnuche@deploy1002> sync-world aborted: testwikis wikis to 1.43.0-wmf.4 refs T361398 (duration: 43m 38s)

Mentioned in SAL (#wikimedia-operations) [2024-05-07T09:56:43Z] <jnuche@deploy1002> Started scap: testwikis wikis to 1.43.0-wmf.4 refs T361398

Mentioned in SAL (#wikimedia-operations) [2024-05-07T10:16:05Z] <jnuche@deploy1002> Finished scap: testwikis wikis to 1.43.0-wmf.4 refs T361398 (duration: 19m 22s)

Mentioned in SAL (#wikimedia-operations) [2024-05-07T09:55:17Z] <jnuche@deploy1002> sync-world aborted: testwikis wikis to 1.43.0-wmf.4 refs T361398 (duration: 43m 38s)

That was an accident.

Change #1028865 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/core@wmf/1.43.0-wmf.3] Partial cherry-pick of I9d8409fdbd757e

https://gerrit.wikimedia.org/r/1028865

Change #1028865 merged by jenkins-bot:

[mediawiki/core@wmf/1.43.0-wmf.3] Partial cherry-pick of I9d8409fdbd757e

https://gerrit.wikimedia.org/r/1028865

Mentioned in SAL (#wikimedia-operations) [2024-05-07T19:18:53Z] <jhuneidi@deploy1002> Started scap: Backport for [[gerrit:1028865|Partial cherry-pick of I9d8409fdbd757e (T361398 T362566)]]

Mentioned in SAL (#wikimedia-operations) [2024-05-07T19:21:29Z] <jhuneidi@deploy1002> ladsgroup and jhuneidi: Backport for [[gerrit:1028865|Partial cherry-pick of I9d8409fdbd757e (T361398 T362566)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-05-07T19:34:33Z] <jhuneidi@deploy1002> Finished scap: Backport for [[gerrit:1028865|Partial cherry-pick of I9d8409fdbd757e (T361398 T362566)]] (duration: 15m 39s)

Change #1028888 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1028888

Change #1028888 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1028888

Mentioned in SAL (#wikimedia-operations) [2024-05-07T19:59:18Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.43.0-wmf.4 refs T361398

Change #1028891 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1028891

Change #1028891 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1028891

Mentioned in SAL (#wikimedia-operations) [2024-05-07T20:04:48Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.43.0-wmf.4 refs T361398

I rolled back to testwikis due to errors caused by T364428.

Mentioned in SAL (#wikimedia-operations) [2024-05-07T20:19:51Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.43.0-wmf.4 refs T361398 (duration: 15m 03s)

Change #1029239 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1029239

Change #1029239 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1029239

Mentioned in SAL (#wikimedia-operations) [2024-05-08T18:23:59Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.43.0-wmf.4 refs T361398

Change #1029242 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1029242

Change #1029242 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1029242

Mentioned in SAL (#wikimedia-operations) [2024-05-08T18:49:46Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.43.0-wmf.4 refs T361398

Change #1029704 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group2 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1029704

Change #1029704 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.43.0-wmf.4

https://gerrit.wikimedia.org/r/1029704

Mentioned in SAL (#wikimedia-operations) [2024-05-09T20:18:13Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.43.0-wmf.4 refs T361398

Funnily enough most (all?) of train blockers were not because of the hackathon

Funnily enough most (all?) of train blockers were not because of the hackathon

Success :)

It was a little bumpy this week, but wmf.4 is live everywhere now! Thanks all <3

πŸ“ˆ π“‡π’Άπ“ƒπ’Ήπ‘œπ“‚ πŸ…ŸπŸ…žπŸ…’πŸ…£-π™ƒπ˜Όπ˜Ύπ™†π˜Όπ™π™ƒπ™Šπ™‰ πŸ†‚πŸ†ƒπŸ…°πŸ†ƒπŸ†‚

  • 487 Patches in 70 repos by 106 authors
  • 169 more patches than the previous week (53% increase)
  • 32% more patches than our average train
  • 4th most unique patch authors for any train since March 2016